<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'ComparisonOverview',
  props: {
    templateData: {
      type: Object,
      required: true,
      default: null,
    },
    comparisonData: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section>
    <SlpContainer>
      <SlpTypography class="slp-mt-96 title" variant="heading2-bold" tag="h2">{{
        templateData.title
      }}</SlpTypography>
      <div class="slp-mt-24 comparisons">
        <div
          v-for="comparison in comparisonData.comparisons"
          :key="comparison.title"
          class="comparison"
        >
          <SlpTypography variant="heading5-bold" tag="p">{{
            comparison.title
          }}</SlpTypography>
          <nuxt-img
            class="slp-mt-8 comparison__img"
            :src="comparison.image"
            loading="lazy"
            format="webp"
            quality="99"
          />
        </div>
      </div>

      <SlpRow class="slp-mt-48">
        <SlpColumn v-if="comparisonData.left_card" class="slp-mr-32">
          <SlpTypography variant="heading5-bold" tag="h3">{{
            comparisonData.left_card.title
          }}</SlpTypography>
          <SlpTypography variant="body1" tag="p">
            <div
              v-if="comparisonData.left_card.description"
              class="slp-mt-32 multi-line-paragraph"
              v-html="$md.render(comparisonData.left_card.description)"
            />
          </SlpTypography>
        </SlpColumn>
        <SlpColumn v-if="comparisonData.right_card" class="right-card slp-p-32">
          <SlpTypography variant="heading5-bold" tag="h3">{{
            comparisonData.right_card.title
          }}</SlpTypography>
          <ul class="slp-mt-24">
            <li
              v-for="(bullet, index) in comparisonData.right_card.bullets"
              :key="index"
              class="slp-mt-24 list-item"
            >
              <SlpIcon
                class="slp-mr-16 slp-mt-2"
                size="sm"
                variant="product"
                name="check"
                slp-color="accent-400"
              />
              <SlpTypography
                class="right-card__content"
                variant="body1"
                tag="p"
              >
                <div v-html="$md.render(bullet.title)" />
              </SlpTypography>
            </li>
          </ul>
          <SlpButton
            class="zero-padding slp-mt-32"
            variant="tertiary"
            :href="comparisonData.right_card.button.link"
          >
            {{ comparisonData.right_card.button.text }}
            <SlpIcon
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </SlpButton>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.title {
  margin-top: 40px;
}

.zero-padding {
  padding-left: 0;
}

.multi-line-paragraph {
  &:deep p {
    &:not(:first-child) {
      margin-top: $spacing-16;
    }
  }

  &:deep strong {
    font-weight: 600;
  }
}

.comparisons {
  display: flex;

  .comparison {
    display: flex;
    flex-direction: column;
    align-items: center;

    &:nth-child(even) {
      margin-left: $spacing-64;
    }

    .comparison__img {
      width: 32px;
      height: 32px;
    }
  }
}

.right-card {
  background-color: $color-surface-800;
  height: max-content;

  @media (max-width: $breakpoint-md) {
    margin-top: 40px;
  }

  &__content {
    &:deep ul {
      list-style: disc;

      li {
        margin-left: $spacing-24;
      }
    }

    &:deep li {
      margin-top: $spacing-8;
    }
  }
}

.slp-mt-2 {
  margin-top: 2px;
}

.list-item {
  display: flex;
}
</style>
